Update a project revenue recognition entry
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2023-12-25",
"amount": 123,
"notes": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}"
payload = {
"date": "2023-12-25",
"amount": 123,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2023-12-25', amount: 123, notes: '<string>'})
};
fetch('https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d7e29b14-3c08-4f5a-a1e6-b9c0f2d83a71",
"date": "2026-03-01",
"amount": 18750.5,
"notes": "March revenue adjustment",
"createdAt": "2026-01-20T16:08:44.561Z",
"project": {
"id": "71e4b903-2c68-4f1a-a5d9-b0f37e8c2d16",
"name": "Data Analytics Platform",
"client": {
"id": "7f2a8c91-e304-4b5d-a6e1-d9c0f3b72e48",
"name": "Globex Industries"
}
}
}
Project Revenue Recognition Entries
Update a project revenue recognition entry
PATCH
/
project-revenue-recognition-entries
/
{id}
Update a project revenue recognition entry
Scheduled recognition of payments for fixed-fee projects. This is only available for projects that have a billing type of “fixed” or “fixed_recurring” and where the revenue recognition mode is set to “manual”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project revenue recognition entry uuid.
Body
application/json
Response
200
The unique identifier for the object.
The date of the entry. Will be in the form YYYY-MM-DD.
The total amount of the entry.
Any notes about the entry.
The timestamp when the object was created.
The project this entry belongs to.
Show child attributes
Show child attributes